# 64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Name:			wallpaper-theme-pclinuxos
Version:		2.0.1
Release:		%mkrel 3
Summary:		PCLinuxOS Default Wallpaper Theme 2019
URL:			http://www.pclinuxos.com
Group:			Graphical desktop/KDE5
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
Source1:        pclinuxos-2016.jpg
Source2:        pclinuxos-2019.jpg
Source3:        pclinuxos-2022.png

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Provides:		wallpaper-theme-default = %version-%release

%description
Wallpaper background for PCLinuxOS

%prep
%setup -q

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers
cp -fr * %buildroot%{_datadir}/wallpapers

install -m 0644 %SOURCE1 %buildroot%{_datadir}/wallpapers
install -m 0644 %SOURCE2 %buildroot%{_datadir}/wallpapers
install -m 0644 %SOURCE3 %buildroot%{_datadir}/wallpapers

%posttrans
rm -rf /var/tmp/kdecache-*/plasma-wallpapers
mkdir -p /usr/share/backgrounds/xfce
cp %{_datadir}/wallpapers/pclinuxos-2022.png \
/usr/share/backgrounds/xfce/xfce-pclinuxos.png
mkdir -p /usr/share/backgrounds/mate/desktop
cp %{_datadir}/wallpapers/pclinuxos-2022.png \
/usr/share/backgrounds/mate/desktop/Stripes.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers
%{_datadir}/wallpapers/pclinuxos-2016.jpg
%{_datadir}/wallpapers/pclinuxos-2019.jpg
%{_datadir}/wallpapers/pclinuxos-2022.png

%changelog
* Sat Apr 22 2023 tex - 2.0.1-3pclos2023
- new background

* Sat Aug 20 2022 tex - 2.0.1-2pclos2022
- new background

* Tue Mar 19 2019 tex - 2.0.1-1pclos2019
- fix update
